> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получить баланс кошелька

> Верните баланс кошелька аккаунта.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/billing/wallet-balance
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/wallet-balance:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: Получить баланс кошелька
      description: Верните баланс кошелька аккаунта.
      operationId: >-
        get_public_wallet_balance_v1_public_accounts__account_id__billing_wallet_balance_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWalletBalanceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicWalletBalanceResponse:
      properties:
        accrued_charges:
          description: Невыставленные начисленные платежи
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Начисленные платежи
          type: string
        balance:
          description: Текущий баланс кошелька
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Баланс
          type: string
        currency:
          description: Код валюты кошелька
          title: Валюта
          type: string
        net_balance:
          description: Баланс кошелька после начисленных платежей
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Чистый баланс
          type: string
      required:
        - balance
        - accrued_charges
        - net_balance
        - currency
      title: PublicWalletBalanceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````